  'Debug.Str(string(""))
  'Debug.Str(string("",13))
  'Debug.Dec()
  'Debug.Rx()
  'Debug.Tx()

CON
  _clkmode      = xtal1 + pll16x                        ' use crystal x 16
  _xinfreq      = 5_000_000

  'defining constants makes code selfexplaining
  'see line with Debug.Start(.... 
  DebugTx_Pin = 30
  DebugRx_Pin = 31
  Baudrate    = 115200
  FDX_Mode    = 0  

  Prop1Rx_Pin = 6
  Prop1Tx_Pin = 7

  'Rx and Tx have to be connected cross-over 
  Prop2Rx_Pin = Prop1Tx_Pin  
  Prop2Tx_Pin = Prop1Rx_Pin

  LED_Pin = 16
  Baud    = 9600
  
    
VAR
  byte MyChar
  
OBJ
  Debug   : "FullDuplexSerialPlus"
  Serial  : "FullDuplexSerialPlus"
  
PUB Main
  StartSerialDebugging

  Debug.Str(string("This is the send-code ",13))
  Debug.Str(string("start FullDuplexSerial",13))
  Debug.Str(string("This Prop sends on Pin "))
  Debug.Dec(Prop1Tx_Pin)
  Debug.Str(string(" with "))
  Debug.Dec(Baud)
  Debug.Str(string(" baud",13))
  
  Debug.Tx(13)

  Serial.Start(Prop1Rx_Pin, Prop1Tx_Pin, 0, Baud)
  
  Debug.Str(string("now this code starts sending character 'A' every second ",13))
  Debug.Str(string("each time a byte is send the LED No "))
  Debug.Dec(LED_Pin)
  Debug.Str(string(" does a short flash",13))

  DirA[LED_Pin] := 1
  OutA[LED_Pin] := 0

  repeat
    WaitCnt(ClkFreq + cnt)
    Serial.Tx("A")
    OutA[LED_Pin] := 1           'LED On
    WaitCnt(ClkFreq / 10 + cnt)  'wait 0,1 seconds
    OutA[LED_Pin] := 0           'LED Off 
    


Pub StartSerialDebugging
  Debug.Start(DebugRx_Pin,DebugTx_Pin,FDX_Mode,Baudrate)

  Debug.Str(string("FullDuplexSerialPlus-Driver started with ",13))
  Debug.Str(string("Start(DebugRx_Pin="))
  Debug.Dec(DebugRx_Pin)
  Debug.Str(string(",DebugTx_Pin="))
  Debug.Dec(DebugTx_Pin)
  Debug.Str(string(",FDX_Mode="))
  Debug.Dec(FDX_Mode)
  Debug.Str(string(",Baudrate="))
  Debug.Dec(Baudrate)
  Debug.Str(string(13,13))



  